Name:           puzzle-master
Version:        1.2.2
Release:        3%{?dist}
Summary:        Fun and addictive jigsaw puzzle game

Group:          Amusements/Games
License:        EUPL 1.1
URL:            http://gitorious.org/colorful-apps/puzzle-master

# The upstream release tarballs can be found here:
Source0:        http://venemo.fedorapeople.org/sources/%{name}-%{version}.tar.gz
# You can also re-generate this tarball from the SCM:
# %{name} refers to the package name and %{version} to the release version 
# git clone git://gitorious.org/colorful-apps/%{name}.git; cd %{name};
# git archive --format=tar --prefix=%{name}-%{version}/ v%{version} | gzip -n > %{name}-%{version}.tar.gz

BuildRequires: pkgconfig(QtCore), pkgconfig(QtGui), pkgconfig(QtOpenGL)
BuildRequires: desktop-file-utils

%description 
%{name} is a jigsaw puzzle game that lets you use your own
images (and contains some built-in ones) for generating puzzles.
You can decide the size and thus the difficulty of the puzzle.

%prep
%setup -q

%build
# This ensures that the files will be placed to the correct location
QMAKEFLAGS=' -after target.path=%{_bindir}'
QMAKEFLAGS+=' -after desktopfile.path=%{_datadir}/applications'
QMAKEFLAGS+=' -after iconfile.path=%{_datadir}/pixmaps'
# This will find qmake on both Fedora and MeeGo
`qmake-qt4 $QMAKEFLAGS` || `qmake $QMAKEFLAGS`
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=$RPM_BUILD_ROOT install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%attr(644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(644,root,root) %{_datadir}/pixmaps/%{name}.png
%doc LICENSE

%changelog
* Sat May 7 2011 Timur Kristóf <venemo@fedoraproject.org> 1.2.2-3
- Ensuring proper placement of the files with some qmake flags

* Wed May 4 2011 Timur Kristóf <venemo@fedoraproject.org> 1.2.2-2
- Fixed the issues raised during the review process, see
  https://bugzilla.redhat.com/show_bug.cgi?id=701785

* Tue May 3 2011 Timur Kristóf <venemo@fedoraproject.org> 1.2.2-1
- Initial version of the RPM package, using latest upstream 1.2.2 version.

